package com.ruoyi.utils.resumeAnalysis;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

/**
 * 判断标准内容内的小标识下标
 * Utils类
 */
public class PersonalUtils {

    /* 姓名 */
    public static final List<String> fullNameList = Arrays.asList("姓名");
    /* 邮箱 */
    public static final List<String> mailboxList = Arrays.asList("邮箱","e-mail","电子邮件");
    /* 电话 */
    public static final List<String> phoneList = Arrays.asList("手机","移动电话","iphone","phone","telephone","手机号","电话","联系电话","联系方式");
    /* 民族 */
    public static final List<String> nationList = Arrays.asList("民族");
    /* 性别 */
    public static final List<String> genderList = Arrays.asList("性别");
    /* 学历 */
    public static final List<String> educationList = Arrays.asList("学历");
    /* 学校 */
    public static final List<String> schoolList = Arrays.asList("毕业学校","毕业院校","学校","教育背景");
    /* 专业 */
    public static final List<String> majorList = Arrays.asList("专业");
    /* 工作经验 */
    public static final List<String> workExperienceList = Arrays.asList("工作经验","工作年限","行业经验");
    /* 居住地 */
    public static final List<String> residenceList = Arrays.asList("现居住地","住址","现所在地","所在地区","所在地","现居地","居住地","户籍","户口","籍贯");
    /* 工作地 */
    public static final List<String> workplaceList = Arrays.asList("工作地");
    /* 身高体重 */
    public static final List<String> bodyWeightList = Arrays.asList("身高体重");
    /* 生日 */
    public static final List<String> birthdayList = Arrays.asList("出生年月","出生日期","生日","年龄");
    /* 语言能力 */
    public static final List<String> languageList = Arrays.asList("语言能力","工作语言");
    /* 岗位 */
    public static final List<String> postList = Arrays.asList("应聘岗位","岗位");
    /* 毕业时间 */
    public static final List<String> graduationList = Arrays.asList("毕业时间");


    public static List<Map<Integer,String>> getPersonalSubscript(String content){
        List<Map<Integer,String>> personalSubscriptList = new ArrayList<>();
        //姓名读取
        Map<Integer,String> fullNameMap = ResumeAnalysisUtil.getSubscript(fullNameList,content);
        if(fullNameMap!=null&&fullNameMap.size()>0){
            personalSubscriptList.add(fullNameMap);
        }
        //邮箱
        Map<Integer,String> mailboxMap = ResumeAnalysisUtil.getSubscript(mailboxList,content.toLowerCase());
        if(mailboxMap!=null&&mailboxMap.size()>0){
            personalSubscriptList.add(mailboxMap);
        }
        //手机号
        Map<Integer,String> phoneMap = ResumeAnalysisUtil.getSubscript(phoneList,content.toLowerCase());
        if(phoneMap!=null&&phoneMap.size()>0){
            personalSubscriptList.add(phoneMap);
        }
        //民族
        Map<Integer,String> nationMap = ResumeAnalysisUtil.getSubscript(nationList,content);
        if(nationMap!=null&&nationMap.size()>0){
            personalSubscriptList.add(nationMap);
        }
        //性别
        Map<Integer,String> genderMap = ResumeAnalysisUtil.getSubscript(genderList,content);
        if(genderMap!=null&&genderMap.size()>0){
            personalSubscriptList.add(genderMap);
        }
        //学历
        Map<Integer,String> educationMap = ResumeAnalysisUtil.getSubscript(educationList,content);
        if(educationMap!=null&&educationMap.size()>0){
            personalSubscriptList.add(educationMap);
        }
        //学校
        Map<Integer,String> schoolMap = ResumeAnalysisUtil.getSubscript(schoolList,content);
        if(schoolMap!=null&&schoolMap.size()>0){
            personalSubscriptList.add(schoolMap);
        }
        //专业
        Map<Integer,String> majorMap = ResumeAnalysisUtil.getSubscript(majorList,content);
        if(majorMap!=null&&majorMap.size()>0){
            personalSubscriptList.add(majorMap);
        }
        //工作经验
        Map<Integer,String> workExperienceMap = ResumeAnalysisUtil.getSubscript(workExperienceList,content);
        if(workExperienceMap!=null&&workExperienceMap.size()>0){
            personalSubscriptList.add(workExperienceMap);
        }
        //居住地
        Map<Integer,String> residenceMap = ResumeAnalysisUtil.getSubscript(residenceList,content);
        if(residenceMap!=null&&residenceMap.size()>0){
            personalSubscriptList.add(residenceMap);
        }
        //工作地
        Map<Integer,String> workplaceMap = ResumeAnalysisUtil.getSubscript(workplaceList,content);
        if(workplaceMap!=null&&workplaceMap.size()>0){
            personalSubscriptList.add(workplaceMap);
        }
        //身高体重
        Map<Integer,String> bodyWeightMap = ResumeAnalysisUtil.getSubscript(bodyWeightList,content);
        if(bodyWeightMap!=null&&bodyWeightMap.size()>0){
            personalSubscriptList.add(bodyWeightMap);
        }
        //生日
        Map<Integer,String> birthdayMap = ResumeAnalysisUtil.getSubscript(birthdayList,content);
        if(birthdayMap!=null&&birthdayMap.size()>0){
            personalSubscriptList.add(birthdayMap);
        }
        //语言能力
        Map<Integer,String> languageMap = ResumeAnalysisUtil.getSubscript(languageList,content);
        if(languageMap!=null&&languageMap.size()>0){
            personalSubscriptList.add(languageMap);
        }
        //岗位
        Map<Integer,String> postMap = ResumeAnalysisUtil.getSubscript(postList,content);
        if(postMap!=null&&postMap.size()>0){
            personalSubscriptList.add(postMap);
        }
        //毕业时间
        Map<Integer,String> graduationMap = ResumeAnalysisUtil.getSubscript(graduationList,content);
        if(graduationMap!=null&&graduationMap.size()>0){
            personalSubscriptList.add(graduationMap);
        }
        return personalSubscriptList;
    }

    public static PersonalType toJudgeType(String key){
        if(ResumeAnalysisUtil.getVerificationType(fullNameList,key))return PersonalType.XM;
        if(ResumeAnalysisUtil.getVerificationType(mailboxList,key))return PersonalType.YX;
        if(ResumeAnalysisUtil.getVerificationType(phoneList,key))return PersonalType.SJH;
        if(ResumeAnalysisUtil.getVerificationType(nationList,key))return PersonalType.MZ;
        if(ResumeAnalysisUtil.getVerificationType(genderList,key))return PersonalType.XB;
        if(ResumeAnalysisUtil.getVerificationType(educationList,key))return PersonalType.XL;
        if(ResumeAnalysisUtil.getVerificationType(schoolList,key))return PersonalType.XX;
        if(ResumeAnalysisUtil.getVerificationType(majorList,key))return PersonalType.ZY;
        if(ResumeAnalysisUtil.getVerificationType(workExperienceList,key))return PersonalType.GZJY;
        if(ResumeAnalysisUtil.getVerificationType(residenceList,key))return PersonalType.JZD;
        if(ResumeAnalysisUtil.getVerificationType(workplaceList,key))return PersonalType.GZD;
        if(ResumeAnalysisUtil.getVerificationType(bodyWeightList,key))return PersonalType.SGTZ;
        if(ResumeAnalysisUtil.getVerificationType(birthdayList,key))return PersonalType.SR;
        if(ResumeAnalysisUtil.getVerificationType(languageList,key))return PersonalType.YYNL;
        if(ResumeAnalysisUtil.getVerificationType(postList,key))return PersonalType.GW;
        if(ResumeAnalysisUtil.getVerificationType(graduationList,key))return PersonalType.BYSJ;
        return null;
    }

}
