package com.ruoyi.utils.resumeAnalysis;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

/**
 * 项目经历解析标识归类
 */
public class ProjectUtils {

    /* 项目名称 */
    public static final List<String> nameList = Arrays.asList("项目：","项目名称","项目一","项目二","项目三","项目四","项目五","项目六","项目七");
    /* 项目简介 */
    public static final List<String> synopsisList = Arrays.asList("项目简介","项目概述","项目描述");
    /* 项目职责 */
    public static final List<String> dutyList = Arrays.asList("项目职责","责任描述","主要职责","职责描述","个人职责");
    /* 主要技术 */
    public static final List<String> technologyList = Arrays.asList("主要技术","项目技术","基础框架","技术框架","技术描述","使用框架","技术要点","软件环境");
    /* 开发工具 */
    public static final List<String> developList = Arrays.asList("开发环境","使用技术","开发工具");
    /* 项目周期 */
    public static final List<String> cycleList = Arrays.asList("项目周期","开发时间","项目时间","时间");


    public static List<Map<Integer,String>> getProjectSubscript(String content){
        List<Map<Integer,String>> projectSubscriptList = new ArrayList<>();
        /* 项目名称 */
        Map<Integer,String> nameMap = ResumeAnalysisUtil.getSubscript(nameList,content);
        if(nameMap!=null&&nameMap.size()>0){
            projectSubscriptList.add(nameMap);
        }
        /* 项目简介 */
        Map<Integer,String> synopsisMap = ResumeAnalysisUtil.getSubscript(synopsisList,content);
        if(synopsisMap!=null&&synopsisMap.size()>0){
            projectSubscriptList.add(synopsisMap);
        }
        /* 项目职责 */
        Map<Integer,String> dutyMap = ResumeAnalysisUtil.getSubscript(dutyList,content);
        if(dutyMap!=null&&dutyMap.size()>0){
            projectSubscriptList.add(dutyMap);
        }
        /* 主要技术 */
        Map<Integer,String> technologyMap = ResumeAnalysisUtil.getSubscript(technologyList,content);
        if(technologyMap!=null&&technologyMap.size()>0){
            projectSubscriptList.add(technologyMap);
        }
        /* 开发工具 */
        Map<Integer,String> developMap = ResumeAnalysisUtil.getSubscript(developList,content);
        if(developMap!=null&&developMap.size()>0){
            projectSubscriptList.add(developMap);
        }
        /* 项目周期 */
        Map<Integer,String> cycleMap = ResumeAnalysisUtil.getSubscript(cycleList,content);
        if(cycleMap!=null&&cycleMap.size()>0){
            projectSubscriptList.add(cycleMap);
        }

        return projectSubscriptList;
    }

    public static ProjectType toJudgeType(String key){
        if(ResumeAnalysisUtil.getVerificationType(nameList,key))return ProjectType.XMMC;
        if(ResumeAnalysisUtil.getVerificationType(synopsisList,key))return ProjectType.XMJJ;
        if(ResumeAnalysisUtil.getVerificationType(dutyList,key))return ProjectType.XMZZ;
        if(ResumeAnalysisUtil.getVerificationType(technologyList,key))return ProjectType.XMJS;
        if(ResumeAnalysisUtil.getVerificationType(developList,key))return ProjectType.KFGJ;
        if(ResumeAnalysisUtil.getVerificationType(cycleList,key))return ProjectType.XMZQ;
        return null;
    }


}
