package com.ruoyi.system.domain.crm;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;


@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("客户实体")
public class Customer extends BaseEntity {

    @ApiModelProperty("主键id")
    private String id;

    @ApiModelProperty("客户id")
    private String customerId;

    @ApiModelProperty("客户编码")
    private String customerCode;

    @ApiModelProperty("客户名称")
    private String customerName;

    @ApiModelProperty("客户状态")
    private String status;

    @ApiModelProperty("网站")
    private String website;

    private String yearBusiness;

    @ApiModelProperty("股票代码")
    private String stockCode;

    @ApiModelProperty("法人代表")
    private String legalPerson;

    @ApiModelProperty("关联单位")
    private String connectedEntities;

    @ApiModelProperty("行业")
    private String trade;

    @ApiModelProperty("员工人数")
    private int workforce;

    @ApiModelProperty("客户类型")
    private String customerType;

    @ApiModelProperty("负责部门")
    private String responsibleDept;

    @ApiModelProperty("销售经理")
    private String salesManager;

    @ApiModelProperty("备注")
    private String mark;

    @ApiModelProperty("isActive")
    private String isActive;

    @ApiModelProperty("删除时间")
    private String deleteDate;

    @ApiModelProperty("删除人")
    private String deleteBy;

    @ApiModelProperty("销售经理")
    private String salesManagerName;

    @ApiModelProperty("角色名称")
    private String roleName;

    private String technicalSupport;

    @ApiModelProperty("公司Id")
    private String companyId;

    @ApiModelProperty("公司名称")
    private String companyName;

    @ApiModelProperty("部门id")
    private String deptId;

    @ApiModelProperty("部门名称")
    private String deptName;

    private boolean finish;

    private String customerNature;

    private String state;

    @ApiModelProperty("0:系统,1:U8")
    private String datefrom;

    @ApiModelProperty("是否删除")
    private  int isDelete;

    private String companyAddress;

    @ApiModelProperty("0:开启,1:关闭")
    private String isOpen;

    @ApiModelProperty("其他性质")
    private String otherNature;

    @ApiModelProperty("其他类别")
    private String otherCategory;

    @ApiModelProperty("注册资本金")
    private String capital;

    @ApiModelProperty("销售经理")
    private String currency;

    @ApiModelProperty("客户成立时间")
    private String registDate;

    @ApiModelProperty("流程示例id")
    private String procInsId;

    @ApiModelProperty("预签公司Id")
    private String dhrmCompanyId;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createDate;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateDate;


}
