package com.ruoyi.system.domain.resume;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 简历项目信息管理对象 resume_project
 * 
 * @author ruoyi
 * @date 2024-02-21
 */
public class ResumeProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目记录ID */
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 项目描述 */
    @Excel(name = "项目描述")
    private String projectDetail;

    /** 责任描述 */
    @Excel(name = "责任描述")
    private String partIn;

    /** 项目开始时间 */
    @Excel(name = "项目开始时间")
    private String projectStartDate;

    /** 项目结束时间 */
    @Excel(name = "项目结束时间")
    private String projectEndDate;

    /** 简历ID(外键) */
    @Excel(name = "简历ID(外键)")
    private Long resumeId;

    /** 软件环境 */
    @Excel(name = "软件环境")
    private String developEnvironment;

    /** 开发工具 */
    @Excel(name = "开发工具")
    private String developTools;

    /** 排序字段 */
    @Excel(name = "排序字段")
    private Long orderBy;

    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setProjectName(String projectName) 
    {
        this.projectName = projectName;
    }

    public String getProjectName() 
    {
        return projectName;
    }
    public void setProjectDetail(String projectDetail) 
    {
        this.projectDetail = projectDetail;
    }

    public String getProjectDetail() 
    {
        return projectDetail;
    }
    public void setPartIn(String partIn) 
    {
        this.partIn = partIn;
    }

    public String getPartIn() 
    {
        return partIn;
    }
    public void setProjectStartDate(String projectStartDate) 
    {
        this.projectStartDate = projectStartDate;
    }

    public String getProjectStartDate() 
    {
        return projectStartDate;
    }
    public void setProjectEndDate(String projectEndDate) 
    {
        this.projectEndDate = projectEndDate;
    }

    public String getProjectEndDate() 
    {
        return projectEndDate;
    }
    public void setResumeId(Long resumeId) 
    {
        this.resumeId = resumeId;
    }

    public Long getResumeId() 
    {
        return resumeId;
    }
    public void setDevelopEnvironment(String developEnvironment) 
    {
        this.developEnvironment = developEnvironment;
    }

    public String getDevelopEnvironment() 
    {
        return developEnvironment;
    }
    public void setDevelopTools(String developTools) 
    {
        this.developTools = developTools;
    }

    public String getDevelopTools() 
    {
        return developTools;
    }
    public void setOrderBy(Long orderBy) 
    {
        this.orderBy = orderBy;
    }

    public Long getOrderBy() 
    {
        return orderBy;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("projectId", getProjectId())
            .append("projectName", getProjectName())
            .append("projectDetail", getProjectDetail())
            .append("partIn", getPartIn())
            .append("projectStartDate", getProjectStartDate())
            .append("projectEndDate", getProjectEndDate())
            .append("resumeId", getResumeId())
            .append("developEnvironment", getDevelopEnvironment())
            .append("developTools", getDevelopTools())
            .append("orderBy", getOrderBy())
            .toString();
    }
}
