package com.ruoyi.system.mapper.crm;

import com.ruoyi.system.domain.crm.Address;

import java.util.List;

/**
 * 账户信息Mapper接口
 * 
 * @author ruoyi
 * @date 2023-11-15
 */
public interface AddressMapper 
{
    /**
     * 查询账户信息
     * 
     * @param id 账户信息主键
     * @return 账户信息
     */
    public Address selectAddressById(Long id);

    /**
     * 查询账户信息列表
     * 
     * @param address 账户信息
     * @return 账户信息集合
     */
    public List<Address> selectAddressList(Address address);

    /**
     * 新增账户信息
     * 
     * @param address 账户信息
     * @return 结果
     */
    public int insertAddress(Address address);

    /**
     * 修改账户信息
     * 
     * @param address 账户信息
     * @return 结果
     */
    public int updateAddress(Address address);

    /**
     * 删除账户信息
     * 
     * @param id 账户信息主键
     * @return 结果
     */
    public int deleteAddressById(Long id);

    /**
     * 批量删除账户信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAddressByIds(Long[] ids);
}
