package com.ruoyi.system.mapper.fg;

import com.ruoyi.system.domain.fg.Blogger;

import java.util.List;

/**
 * 达人数据Mapper接口
 * 
 * @author ruoyi
 * @date 2023-11-24
 */
public interface BloggerMapper 
{
    /**
     * 查询达人数据
     * 
     * @param age 达人数据主键
     * @return 达人数据
     */
    public Blogger selectBloggerByAge(String age);

    /**
     * 查询达人数据列表
     * 
     * @param blogger 达人数据
     * @return 达人数据集合
     */
    public List<Blogger> selectBloggerList(Blogger blogger);

    /**
     * 新增达人数据
     * 
     * @param blogger 达人数据
     * @return 结果
     */
    public int insertBlogger(Blogger blogger);

    /**
     * 修改达人数据
     * 
     * @param blogger 达人数据
     * @return 结果
     */
    public int updateBlogger(Blogger blogger);

    /**
     * 删除达人数据
     * 
     * @param age 达人数据主键
     * @return 结果
     */
    public int deleteBloggerByAge(String age);

    /**
     * 批量删除达人数据
     * 
     * @param ages 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBloggerByAges(String[] ages);
}
