package com.ruoyi.system.service.crm;

import com.ruoyi.system.domain.crm.CrmFile;

import java.util.List;

/**
 * crm附件Service接口
 * 
 * @author ruoyi
 * @date 2023-11-15
 */
public interface ICrmFileService 
{
    /**
     * 查询crm附件
     * 
     * @param id crm附件主键
     * @return crm附件
     */
    public CrmFile selectCrmFileById(Long id);

    /**
     * 查询crm附件列表
     * 
     * @param crmFile crm附件
     * @return crm附件集合
     */
    public List<CrmFile> selectCrmFileList(CrmFile crmFile);

    /**
     * 新增crm附件
     * 
     * @param crmFile crm附件
     * @return 结果
     */
    public int insertCrmFile(CrmFile crmFile);

    /**
     * 修改crm附件
     * 
     * @param crmFile crm附件
     * @return 结果
     */
    public int updateCrmFile(CrmFile crmFile);

    /**
     * 批量删除crm附件
     * 
     * @param ids 需要删除的crm附件主键集合
     * @return 结果
     */
    public int deleteCrmFileByIds(Long[] ids);

    /**
     * 删除crm附件信息
     * 
     * @param id crm附件主键
     * @return 结果
     */
    public int deleteCrmFileById(Long id);
}
