package com.ruoyi.system.service.crm.impl;

import java.util.List;

import com.ruoyi.system.domain.crm.Contacts;
import com.ruoyi.system.mapper.crm.ContactsMapper;
import com.ruoyi.system.service.crm.IContactsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 客户联系人信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-11-15
 */
@Service
public class ContactsServiceImpl implements IContactsService
{
    @Autowired
    private ContactsMapper contactsMapper;

    /**
     * 查询客户联系人信息
     * 
     * @param id 客户联系人信息主键
     * @return 客户联系人信息
     */
    @Override
    public Contacts selectContactsById(Long id)
    {
        return contactsMapper.selectContactsById(id);
    }

    /**
     * 查询客户联系人信息列表
     * 
     * @param contacts 客户联系人信息
     * @return 客户联系人信息
     */
    @Override
    public List<Contacts> selectContactsList(Contacts contacts)
    {
        return contactsMapper.selectContactsList(contacts);
    }

    /**
     * 新增客户联系人信息
     * 
     * @param contacts 客户联系人信息
     * @return 结果
     */
    @Override
    public int insertContacts(Contacts contacts)
    {
        return contactsMapper.insertContacts(contacts);
    }

    /**
     * 修改客户联系人信息
     * 
     * @param contacts 客户联系人信息
     * @return 结果
     */
    @Override
    public int updateContacts(Contacts contacts)
    {
        return contactsMapper.updateContacts(contacts);
    }

    /**
     * 批量删除客户联系人信息
     * 
     * @param ids 需要删除的客户联系人信息主键
     * @return 结果
     */
    @Override
    public int deleteContactsByIds(Long[] ids)
    {
        return contactsMapper.deleteContactsByIds(ids);
    }

    /**
     * 删除客户联系人信息信息
     * 
     * @param id 客户联系人信息主键
     * @return 结果
     */
    @Override
    public int deleteContactsById(Long id)
    {
        return contactsMapper.deleteContactsById(id);
    }

    /**
     * 批量新增客户联系人信息
     * @param contactsList
     * @return
     */
    @Override
    public int batchInsertContacts(List<Contacts> contactsList) {
        return contactsMapper.batchInsertContacts(contactsList);
    }
}
