package com.ruoyi.system.service.crm.impl;

import java.util.List;

import com.ruoyi.system.domain.crm.CrmFile;
import com.ruoyi.system.mapper.crm.CrmFileMapper;
import com.ruoyi.system.service.crm.ICrmFileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * crm附件Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-11-15
 */
@Service
public class CrmFileServiceImpl implements ICrmFileService
{
    @Autowired
    private CrmFileMapper crmFileMapper;

    /**
     * 查询crm附件
     * 
     * @param id crm附件主键
     * @return crm附件
     */
    @Override
    public CrmFile selectCrmFileById(Long id)
    {
        return crmFileMapper.selectCrmFileById(id);
    }

    /**
     * 查询crm附件列表
     * 
     * @param crmFile crm附件
     * @return crm附件
     */
    @Override
    public List<CrmFile> selectCrmFileList(CrmFile crmFile)
    {
        return crmFileMapper.selectCrmFileList(crmFile);
    }

    /**
     * 新增crm附件
     * 
     * @param crmFile crm附件
     * @return 结果
     */
    @Override
    public int insertCrmFile(CrmFile crmFile)
    {
        return crmFileMapper.insertCrmFile(crmFile);
    }

    /**
     * 修改crm附件
     * 
     * @param crmFile crm附件
     * @return 结果
     */
    @Override
    public int updateCrmFile(CrmFile crmFile)
    {
        return crmFileMapper.updateCrmFile(crmFile);
    }

    /**
     * 批量删除crm附件
     * 
     * @param ids 需要删除的crm附件主键
     * @return 结果
     */
    @Override
    public int deleteCrmFileByIds(Long[] ids)
    {
        return crmFileMapper.deleteCrmFileByIds(ids);
    }

    /**
     * 删除crm附件信息
     * 
     * @param id crm附件主键
     * @return 结果
     */
    @Override
    public int deleteCrmFileById(Long id)
    {
        return crmFileMapper.deleteCrmFileById(id);
    }
}
