package com.ruoyi.system.service.crm.impl;

import java.util.List;

import com.ruoyi.system.domain.crm.TCustomer;
import com.ruoyi.system.mapper.crm.TCustomerMapper;
import com.ruoyi.system.service.crm.ITCustomerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * crmService业务层处理
 * 
 * @author ruoyi
 * @date 2023-11-28
 */
@Service
public class TCustomerServiceImpl implements ITCustomerService
{
    @Autowired
    private TCustomerMapper tCustomerMapper;

    /**
     * 查询crm
     * 
     * @param id crm主键
     * @return crm
     */
    @Override
    public TCustomer selectTCustomerById(String id)
    {
        return tCustomerMapper.selectTCustomerById(id);
    }

    /**
     * 查询crm列表
     * 
     * @param tCustomer crm
     * @return crm
     */
    @Override
    public List<TCustomer> selectTCustomerList(TCustomer tCustomer)
    {
        return tCustomerMapper.selectTCustomerList(tCustomer);
    }

    /**
     * 新增crm
     * 
     * @param tCustomer crm
     * @return 结果
     */
    @Override
    public int insertTCustomer(TCustomer tCustomer)
    {
        return tCustomerMapper.insertTCustomer(tCustomer);
    }

    /**
     * 修改crm
     * 
     * @param tCustomer crm
     * @return 结果
     */
    @Override
    public int updateTCustomer(TCustomer tCustomer)
    {
        return tCustomerMapper.updateTCustomer(tCustomer);
    }

    /**
     * 批量删除crm
     * 
     * @param ids 需要删除的crm主键
     * @return 结果
     */
    @Override
    public int deleteTCustomerByIds(String[] ids)
    {
        return tCustomerMapper.deleteTCustomerByIds(ids);
    }

    /**
     * 删除crm信息
     * 
     * @param id crm主键
     * @return 结果
     */
    @Override
    public int deleteTCustomerById(String id)
    {
        return tCustomerMapper.deleteTCustomerById(id);
    }
}
