package com.ruoyi.system.service.fg.impl;

import java.util.List;

import com.ruoyi.system.domain.fg.Blogger;
import com.ruoyi.system.mapper.fg.BloggerMapper;
import com.ruoyi.system.service.fg.IBloggerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 达人数据Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-11-24
 */
@Service
public class BloggerServiceImpl implements IBloggerService
{
    @Autowired
    private BloggerMapper bloggerMapper;

    /**
     * 查询达人数据
     * 
     * @param age 达人数据主键
     * @return 达人数据
     */
    @Override
    public Blogger selectBloggerByAge(String age)
    {
        return bloggerMapper.selectBloggerByAge(age);
    }

    /**
     * 查询达人数据列表
     * 
     * @param blogger 达人数据
     * @return 达人数据
     */
    @Override
    public List<Blogger> selectBloggerList(Blogger blogger)
    {
        return bloggerMapper.selectBloggerList(blogger);
    }

    /**
     * 新增达人数据
     * 
     * @param blogger 达人数据
     * @return 结果
     */
    @Override
    public int insertBlogger(Blogger blogger)
    {
        return bloggerMapper.insertBlogger(blogger);
    }

    /**
     * 修改达人数据
     * 
     * @param blogger 达人数据
     * @return 结果
     */
    @Override
    public int updateBlogger(Blogger blogger)
    {
        return bloggerMapper.updateBlogger(blogger);
    }

    /**
     * 批量删除达人数据
     * 
     * @param ages 需要删除的达人数据主键
     * @return 结果
     */
    @Override
    public int deleteBloggerByAges(String[] ages)
    {
        return bloggerMapper.deleteBloggerByAges(ages);
    }

    /**
     * 删除达人数据信息
     * 
     * @param age 达人数据主键
     * @return 结果
     */
    @Override
    public int deleteBloggerByAge(String age)
    {
        return bloggerMapper.deleteBloggerByAge(age);
    }
}
