package com.ruoyi.system.service.resume;

import com.ruoyi.system.domain.resume.CompanyUser;

import java.util.List;

/**
 * 公司和人关联关系管理Service接口
 * 
 * @author ruoyi
 * @date 2024-02-21
 */
public interface ICompanyUserService 
{
    /**
     * 查询公司和人关联关系管理
     * 
     * @param id 公司和人关联关系管理主键
     * @return 公司和人关联关系管理
     */
    public CompanyUser selectCompanyUserById(Long id);

    /**
     * 查询公司和人关联关系管理列表
     * 
     * @param companyUser 公司和人关联关系管理
     * @return 公司和人关联关系管理集合
     */
    public List<CompanyUser> selectCompanyUserList(CompanyUser companyUser);

    /**
     * 新增公司和人关联关系管理
     * 
     * @param companyUser 公司和人关联关系管理
     * @return 结果
     */
    public int insertCompanyUser(CompanyUser companyUser);

    /**
     * 修改公司和人关联关系管理
     * 
     * @param companyUser 公司和人关联关系管理
     * @return 结果
     */
    public int updateCompanyUser(CompanyUser companyUser);

    /**
     * 批量删除公司和人关联关系管理
     * 
     * @param ids 需要删除的公司和人关联关系管理主键集合
     * @return 结果
     */
    public int deleteCompanyUserByIds(Long[] ids);

    /**
     * 删除公司和人关联关系管理信息
     * 
     * @param id 公司和人关联关系管理主键
     * @return 结果
     */
    public int deleteCompanyUserById(Long id);
}
