package com.ruoyi.system.service.resume;

import com.ruoyi.system.domain.resume.ResumeEducation;

import java.util.List;

/**
 * 简历教育信息管理Service接口
 * 
 * @author ruoyi
 * @date 2024-02-21
 */
public interface IResumeEducationService 
{
    /**
     * 查询简历教育信息管理
     * 
     * @param eduId 简历教育信息管理主键
     * @return 简历教育信息管理
     */
    public ResumeEducation selectResumeEducationByEduId(Long eduId);

    /**
     * 查询简历教育信息管理列表
     * 
     * @param resumeEducation 简历教育信息管理
     * @return 简历教育信息管理集合
     */
    public List<ResumeEducation> selectResumeEducationList(ResumeEducation resumeEducation);

    /**
     * 新增简历教育信息管理
     * 
     * @param resumeEducation 简历教育信息管理
     * @return 结果
     */
    public int insertResumeEducation(ResumeEducation resumeEducation);

    /**
     * 修改简历教育信息管理
     * 
     * @param resumeEducation 简历教育信息管理
     * @return 结果
     */
    public int updateResumeEducation(ResumeEducation resumeEducation);

    /**
     * 批量删除简历教育信息管理
     * 
     * @param eduIds 需要删除的简历教育信息管理主键集合
     * @return 结果
     */
    public int deleteResumeEducationByEduIds(Long[] eduIds);

    /**
     * 删除简历教育信息管理信息
     * 
     * @param eduId 简历教育信息管理主键
     * @return 结果
     */
    public int deleteResumeEducationByEduId(Long eduId);

    /**
     * 根据简历ID删除简历教育经历信息
     *
     * @param resumeId
     * @return
     */
    public int deleteResumeEducationByResumeId(Long resumeId);
}
