package com.ruoyi.system.service.resume.impl;

import java.util.List;

import com.ruoyi.system.domain.resume.CompanyUser;
import com.ruoyi.system.mapper.resume.CompanyUserMapper;
import com.ruoyi.system.service.resume.ICompanyUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 公司和人关联关系管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-02-21
 */
@Service
public class CompanyUserServiceImpl implements ICompanyUserService
{
    @Autowired
    private CompanyUserMapper companyUserMapper;

    /**
     * 查询公司和人关联关系管理
     * 
     * @param id 公司和人关联关系管理主键
     * @return 公司和人关联关系管理
     */
    @Override
    public CompanyUser selectCompanyUserById(Long id)
    {
        return companyUserMapper.selectCompanyUserById(id);
    }

    /**
     * 查询公司和人关联关系管理列表
     * 
     * @param companyUser 公司和人关联关系管理
     * @return 公司和人关联关系管理
     */
    @Override
    public List<CompanyUser> selectCompanyUserList(CompanyUser companyUser)
    {
        return companyUserMapper.selectCompanyUserList(companyUser);
    }

    /**
     * 新增公司和人关联关系管理
     * 
     * @param companyUser 公司和人关联关系管理
     * @return 结果
     */
    @Override
    public int insertCompanyUser(CompanyUser companyUser)
    {
        return companyUserMapper.insertCompanyUser(companyUser);
    }

    /**
     * 修改公司和人关联关系管理
     * 
     * @param companyUser 公司和人关联关系管理
     * @return 结果
     */
    @Override
    public int updateCompanyUser(CompanyUser companyUser)
    {
        return companyUserMapper.updateCompanyUser(companyUser);
    }

    /**
     * 批量删除公司和人关联关系管理
     * 
     * @param ids 需要删除的公司和人关联关系管理主键
     * @return 结果
     */
    @Override
    public int deleteCompanyUserByIds(Long[] ids)
    {
        return companyUserMapper.deleteCompanyUserByIds(ids);
    }

    /**
     * 删除公司和人关联关系管理信息
     * 
     * @param id 公司和人关联关系管理主键
     * @return 结果
     */
    @Override
    public int deleteCompanyUserById(Long id)
    {
        return companyUserMapper.deleteCompanyUserById(id);
    }
}
