package com.ruoyi.system.service.resume.impl;

import java.util.List;

import com.ruoyi.system.domain.resume.ResumeFile;
import com.ruoyi.system.mapper.resume.ResumeFileMapper;
import com.ruoyi.system.service.resume.IResumeFileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 简历附件管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-02-19
 */
@Service
public class ResumeFileServiceImpl implements IResumeFileService
{
    @Autowired
    private ResumeFileMapper resumeFileMapper;

    /**
     * 查询简历附件管理
     * 
     * @param id 简历附件管理主键
     * @return 简历附件管理
     */
    @Override
    public ResumeFile selectResumeFileById(Long id)
    {
        return resumeFileMapper.selectResumeFileById(id);
    }

    /**
     * 查询简历附件管理列表
     * 
     * @param resumeFile 简历附件管理
     * @return 简历附件管理
     */
    @Override
    public List<ResumeFile> selectResumeFileList(ResumeFile resumeFile)
    {
        return resumeFileMapper.selectResumeFileList(resumeFile);
    }

    /**
     * 新增简历附件管理
     * 
     * @param resumeFile 简历附件管理
     * @return 结果
     */
    @Override
    public int insertResumeFile(ResumeFile resumeFile)
    {
        return resumeFileMapper.insertResumeFile(resumeFile);
    }

    /**
     * 修改简历附件管理
     * 
     * @param resumeFile 简历附件管理
     * @return 结果
     */
    @Override
    public int updateResumeFile(ResumeFile resumeFile)
    {
        return resumeFileMapper.updateResumeFile(resumeFile);
    }

    /**
     * 批量删除简历附件管理
     * 
     * @param ids 需要删除的简历附件管理主键
     * @return 结果
     */
    @Override
    public int deleteResumeFileByIds(Long[] ids)
    {
        return resumeFileMapper.deleteResumeFileByIds(ids);
    }

    /**
     * 删除简历附件管理信息
     * 
     * @param id 简历附件管理主键
     * @return 结果
     */
    @Override
    public int deleteResumeFileById(Long id)
    {
        return resumeFileMapper.deleteResumeFileById(id);
    }

    /**
     * 删除简历附件管理信息
     *
     * @param resumeId 简历管理主键
     * @return 结果
     */
    @Override
    public int deleteResumeFileByResumeId(Long resumeId) {
        return resumeFileMapper.deleteResumeFileByResumeId(resumeId);
    }
}
