package com.ruoyi.system.service.resume.impl;

import java.util.List;

import com.ruoyi.system.domain.resume.ResumeWork;
import com.ruoyi.system.mapper.resume.ResumeWorkMapper;
import com.ruoyi.system.service.resume.IResumeWorkService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 简历工作经历信息管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-02-21
 */
@Service
public class ResumeWorkServiceImpl implements IResumeWorkService
{
    @Autowired
    private ResumeWorkMapper resumeWorkMapper;

    /**
     * 查询简历工作经历信息管理
     * 
     * @param workId 简历工作经历信息管理主键
     * @return 简历工作经历信息管理
     */
    @Override
    public ResumeWork selectResumeWorkByWorkId(Long workId)
    {
        return resumeWorkMapper.selectResumeWorkByWorkId(workId);
    }

    /**
     * 查询简历工作经历信息管理列表
     * 
     * @param resumeWork 简历工作经历信息管理
     * @return 简历工作经历信息管理
     */
    @Override
    public List<ResumeWork> selectResumeWorkList(ResumeWork resumeWork)
    {
        return resumeWorkMapper.selectResumeWorkList(resumeWork);
    }

    /**
     * 新增简历工作经历信息管理
     * 
     * @param resumeWork 简历工作经历信息管理
     * @return 结果
     */
    @Override
    public int insertResumeWork(ResumeWork resumeWork)
    {
        return resumeWorkMapper.insertResumeWork(resumeWork);
    }

    /**
     * 修改简历工作经历信息管理
     * 
     * @param resumeWork 简历工作经历信息管理
     * @return 结果
     */
    @Override
    public int updateResumeWork(ResumeWork resumeWork)
    {
        return resumeWorkMapper.updateResumeWork(resumeWork);
    }

    /**
     * 批量删除简历工作经历信息管理
     * 
     * @param workIds 需要删除的简历工作经历信息管理主键
     * @return 结果
     */
    @Override
    public int deleteResumeWorkByWorkIds(Long[] workIds)
    {
        return resumeWorkMapper.deleteResumeWorkByWorkIds(workIds);
    }

    /**
     * 删除简历工作经历信息管理信息
     * 
     * @param workId 简历工作经历信息管理主键
     * @return 结果
     */
    @Override
    public int deleteResumeWorkByWorkId(Long workId)
    {
        return resumeWorkMapper.deleteResumeWorkByWorkId(workId);
    }

    /**
     * 根据简历ID删除简历工作履历信息
     *
     * @param resumeId
     * @return
     */
    @Override
    public int deleteResumeWorkByResumeId(Long resumeId) {
        return resumeWorkMapper.deleteResumeWorkByResumeId(resumeId);
    }
}
