import request from '@/utils/request'

// 登录方法
export function login(username, password, code, uuid) {
  const data = {
    username,
    password,
    code,
    uuid
  }
  return request({
    url: '/login',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}

// 注册方法
export function register(data) {
  return request({
    url: '/register',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: '/getInfo',
    method: 'get'
  })
}

// 退出方法
export function logout() {
  return request({
    url: '/logout',
    method: 'post'
  })
}

// 获取验证码
export function getCodeImg() {
  return request({
    url: '/captchaImage',
    headers: {
      isToken: false
    },
    method: 'get',
    timeout: 20000
  })
}

// 钉钉免登录
export function avoidLogin(data) {
  return request({
    url: '/ding/avoidLogin',
    method: 'post',
    data: data
  })
}
// 授权登录
export function authToken(data) {
  return request({
    url: '/ding/authToken2',
    method: 'post',
    data: data
  })
}

// 第三方-授权登录
export function authTokenThree(data) {
  return request({
    url: '/ding/authLogin',
    method: 'post',
    data: data
  })
}

// 第三方-授权登录
export function authLogin(data) {
  return request({
    url: '/auth/ding/authLogin',
    method: 'post',
    data: data
  })
}

export function cropLogin(data) {
  return request({
    url: '/auth/ding/cropLogin',
    method: 'post',
    data: data
  })
}

