import request from '@/utils/request'

// 查询简历管理列表
export function listResume(query) {
  return request({
    url: '/system/resume/list',
    method: 'get',
    params: query
  })
}

// 查询简历管理详细
export function getResume(resumeId) {
  return request({
    url: '/system/resume/' + resumeId,
    method: 'get'
  })
}

// 新增简历管理
export function addResume(data) {
  return request({
    url: '/system/resume',
    method: 'post',
    data: data
  })
}

// 修改简历管理
export function updateResume(data) {
  return request({
    url: '/system/resume',
    method: 'put',
    data: data
  })
}

// 删除简历管理
export function delResume(resumeId) {
  return request({
    url: '/system/resume/' + resumeId,
    method: 'delete'
  })
}

// 上传简历并进行解析
export function uploadResumeSimilarity(data) {
  return request({
    url: '/system/resume/uploadResumeSimilarity',
    method: 'post',
    data: data
  })
}